Bug 1451362 - CMake config refers to the wrong libJupyROOT.so
Summary: CMake config refers to the wrong libJupyROOT.so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: root
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-16 13:49 UTC by Robert
Modified: 2017-06-11 16:15 UTC (History)
2 users (show)

Fixed In Version: root-6.08.06-7.fc24 root-6.08.06-7.fc25 root-6.08.06-7.el7 root-6.08.06-7.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 02:51:46 UTC


Attachments (Terms of Use)

Description Robert 2017-05-16 13:49:44 UTC
Description of problem:

cmake .

CMake Error at /usr/share/root/cmake/ROOTConfig-targets.cmake:486 (message):
  The imported target "JupyROOT" references the file

     "/usr/lib64/root/libJupyROOT.so.6.08.06"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/share/root/cmake/ROOTConfig-targets.cmake"

  but not all the files it references.

Call Stack (most recent call first):
  /usr/share/root/cmake/ROOTConfig.cmake:81 (include)
  CMakeLists.txt:4 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!


Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. cmake with given CMakeLists.txt :

CMakeLists.txt:

cmake_minimum_required(VERSION 2.8)

PROJECT(TEST)
  FIND_PACKAGE(ROOT REQUIRED)
  MESSAGE("Root Dirs: ${ROOT_INCLUDE_DIRS}  ${ROOT_LIBRARY_DIR}")
  MESSAGE("Root Libs: ${ROOT_LIBRARIES}")


Actual results:
The installation package was faulty and contained

     "/usr/share/root/cmake/ROOTConfig-targets.cmake"

  but not all the files it references.


Expected results:

successful completion

Comment 1 Fedora Update System 2017-05-17 06:45:15 UTC
root-6.08.06-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4880048a1c

Comment 2 Fedora Update System 2017-05-17 06:45:56 UTC
root-6.08.06-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4880048a1c

Comment 3 Fedora Update System 2017-05-17 06:47:06 UTC
root-6.08.06-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c39ad1072b

Comment 4 Fedora Update System 2017-05-17 06:47:21 UTC
root-6.08.06-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c39ad1072b

Comment 5 Fedora Update System 2017-05-17 06:48:46 UTC
root-6.08.06-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13bcac36bb

Comment 6 Fedora Update System 2017-05-17 06:49:07 UTC
root-6.08.06-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13bcac36bb

Comment 7 Fedora Update System 2017-05-17 06:49:50 UTC
root-6.08.06-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1544bb535d

Comment 8 Fedora Update System 2017-05-17 06:50:18 UTC
root-6.08.06-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1544bb535d

Comment 9 Fedora Update System 2017-05-17 19:06:56 UTC
root-6.08.06-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4880048a1c

Comment 10 Fedora Update System 2017-05-17 21:30:20 UTC
root-6.08.06-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1544bb535d

Comment 11 Fedora Update System 2017-05-17 23:06:49 UTC
root-6.08.06-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-13bcac36bb

Comment 12 Fedora Update System 2017-05-17 23:11:20 UTC
root-6.08.06-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c39ad1072b

Comment 13 Fedora Update System 2017-05-27 02:51:46 UTC
root-6.08.06-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-27 03:00:25 UTC
root-6.08.06-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-06-01 15:54:33 UTC
root-6.08.06-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-06-11 16:15:58 UTC
root-6.08.06-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.